Subject: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session

From: [email-masked] (Clément Lassieur)
Date: Tue, 26 Nov 2019 10:43:37 +0100

Maxim Cournoyer <[email-masked]> writes:

> Hello Ludovic,
>
> Ludovic Courtès <[email-masked]> writes:
>
>> Hi Maxim,
>>
>> Maxim Cournoyer <[email-masked]> skribis:
>>
>>> There would be a couple more commits to include in the revert to undo
>>> the changes (one to the build system, others to adapt the renaming of
>>> the emacs-set-load-path phase for some packages:
>>
>> Oh indeed.
>>
>> I must say I haven’t looked closely at the changes nor at the reasons
>> for the regression, but IIUC, the regression is serious enough that we
>> should have a way to address it quickly.
>
> The regression only seems to affect the "restarting the session",
> e.g. logout then login, not the first boot, which means there's an
> (inconvenient) workaround available for single user systems.

Also, this assumes the users know about the bug.  But some (most?) of
them won't know about it and will spend a lot of time (as I did) trying
to understand why their gnome-session crashes.

> I've been trying to reproduce in a VM to get a backtrace (if those
> affected by the problem could produce one, that'd help pinpoint the
> problematic call to PCRE and its origin), but that'll need some more
> time.
>
> If those affected judge the situation dire enough, I don't mind
> reverting the changes to the Emacs library loading mechanism for the
> time being.
>
> Thanks,
>
> Maxim